package com.yfd.monitor.gdw2019.bean;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


@Component
@Data
@Schema(description = "变电站边缘节点信息")
public class SubstationNode {

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 心跳周期(秒)
     */
    private int keepTimeout;

    /**
     * 巡视主机SIP服务IP地址
     */
    @Value("${sip.ip}")
    private String serverIp;

    /**
     * 巡视主机SIP服务国标编码
     */
    @Value("${sip.id}")
    private String serverId;

    /**
     * 巡视主机SIP服务国标域
     */
    @Value("${sip.domain}")
    private String serverDomain;

    /**
     * 巡视主机SIP服务端口
     */
    @Value("${sip.port}")
    private int serverPort;

    /**
     * 巡视主机SIP密码
     */
    @Value("${sip.password}")
    private int serverPassword;

    /**
     * 变电站IP
     */
    private String stationIp;

    /**
     * 变电站节点国标编码
     */
    private String stationGBId;

    /**
     * 变电站节点SIP 端口
     */
    private String stationGBPort;

    /**
     * 传输协议
     * UDP/TCP
     */
    @Value("TCP")
    private String transport;

}
