package com.yfd.platform.modules.algorithm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.algorithm.domain.AlgorithmClassComponent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
public interface IAlgorithmClassComponentService extends IService<AlgorithmClassComponent> {

    /**********************************
    * 用途说明: 算法关联主设备部件
    * 参数说明 algorithmId 算法分类id
    * 参数说明 page 分页参数
    * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.yfd.platform.modules.algorithm.domain.AlgorithmClassComponent>
    ***********************************/
    Page<AlgorithmClassComponent> getAlgorithmClassComponentPage(String algorithmId,String stationCode, Page<AlgorithmClassComponent> page);

    /**********************************
    * 用途说明: 删除算法关联主设备部件
    * 参数说明 id 算法部件id
    * 返回值说明: boolean
    ***********************************/
    boolean deleteAlgorithmClassComponent(String id);

    boolean batchAddAlgorithmClassComponent(List<AlgorithmClassComponent> algorithmClassComponentList);

}
