package com.yfd.platform.modules.algorithm.service;

import com.yfd.platform.modules.algorithm.domain.AlgorithmDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
public interface IAlgorithmDeviceService extends IService<AlgorithmDevice> {

    /**********************************
    * 用途说明: 批量新增算法分类部件点位关联数据
    * 参数说明 algorithmDeviceList
    * 返回值说明: boolean
    ***********************************/
    boolean batchAddAlgorithmDevice(List<AlgorithmDevice> algorithmDeviceList);

    /**********************************
    * 用途说明: 查询算法部件的参数
    * 参数说明 algorithmId 算法分类Id
    * 参数说明 componentId 部件id
    * 返回值说明: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    ***********************************/
    List<Map<String, Object>> getAlgorithmDeviceParams(String algorithmId, String componentId);

    /**********************************
    * 用途说明: 查询算法部件的参数曲线
    * 参数说明 algorithmId 算法分类Id
    * 参数说明 componentId 部件id
    * 返回值说明: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    ***********************************/
    List<Map<String, Object>> getAlgorithmDeviceCurve(String algorithmId, String componentId,String type);

}
