package com.yfd.platform.modules.auxcontrol.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.auxcontrol.domain.DeviceWorkData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站-设备-运行数据 Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface DeviceWorkDataMapper extends BaseMapper<DeviceWorkData> {

    /**********************************
     * 用途说明: 分页查询变电站设备运行记录
     * 参数说明 page 分页参数
     * 参数说明 signalId 信号Id
     * 参数说明 startDate 开始时间
     * 参数说明 endDate 结束时间
     * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.yfd.platform.modules.auxcontrol.domain
     * .DeviceWorkData>
     ***********************************/
    Page<DeviceWorkData> getDeviceWorkDataPage(Page<DeviceWorkData> page, String signalId, String startDate,
                                               String endDate);

    /**********************************
     * 用途说明: 查询历史曲线
     * 参数说明 signalId 信号id
     * 返回值说明: java.util.List<com.yfd.platform.modules.auxcontrol.domain.DeviceWorkData>
     ***********************************/
    List<DeviceWorkData> getHistoricalCurve(String signalId);


    List<Map<String, Object>> getDeviceWorkData(String stationId);

    List<DeviceWorkData> getHistoricalCurveList(List<String> signalIdList);

}
