package com.yfd.platform.modules.auxcontrol.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.auxcontrol.domain.DeviceAlarmParameter;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 变电站-辅控设备-告警参数设置 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IDeviceAlarmParameterService extends IService<DeviceAlarmParameter> {

    /**********************************
    * 用途说明: 新增辅控设备告警参数
    * 参数说明 deviceAlarmParameter 告警参数对象
    * 返回值说明: boolean
    ***********************************/
    boolean addDeviceAlarmParameter(DeviceAlarmParameter deviceAlarmParameter);

    /**********************************
    * 用途说明: 修改辅控设备告警参数
    * 参数说明 deviceAlarmParameter 告警参数对象
    * 返回值说明: boolean
    ***********************************/
    boolean updateDeviceAlarmParameter(DeviceAlarmParameter deviceAlarmParameter);

    Page<DeviceAlarmParameter> getDeviceAlarmParameterPage(String meterDeviceId, String signalId, String alarmType, String alarmLevel, Page<DeviceAlarmParameter> page);

}
