package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 算法模型表
 * </p>
 *
 *
 * @since 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_model")
public class AlgorithmModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 区域ID
     */
    private String sectionId;

    /**
     * 区域名称
     */
    private String sectionName;

    /**
     * 变电站ID
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 模型编号
     */
    private String modelCode;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型文件包
     */
    private String modelFile;

    /**
     * 1：图像识别；2：图像判别 3：一键顺控视频分析
     */
    private String modelType;

    /**
     * 算法描述
     */
    private String algorithmdesc;

    /**
     * 算法厂商
     */
    private String algorithmmanufacturer;

    /**
     * 算法版本
     */
    private String version;

    /**
     * 0-否 1-新 是否最新版本
     */
    private String isnew;

    /**
     * 中间版本数
     */
    private Integer midversionnum;

    /**
     * 模型运行状态，1：运行 2：停止
     */
    private String runstate;

    /**
     * 上传/更新人
     */
    private String lastmodifier;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime recordtime;

    /**
     * 最近更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;


    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;
    /**
     * 算法最新版本
     */
    private String lastVersion;



}
