package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 联动信号关联表
 * </p>
 *
 *
 * @since 2023-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_linkage_signal")
public class LinkageSignal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 序号
     */
    private String orderNum;

    /**
     * 站序号，当前实际站号编制
     */
    private String stationNum;

    /**
     * 监控索引号为监控系统测点 ID，可用于数据的唯一标识
     */
    private String controlNum;

    /**
     * 称用于详细描述设备的信息
     */
    private String linkageDeviceName;

    /**
     * 包括遥信、遥测
     */
    private String linkageDeviceType;

    /**
     * 实物ID
     */
    private String materialId;

    /**
     * 是否联动信号，是/否
     */
    private String isLinkageFlag;

    /**
     * 变电站id
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 变电站编码
     */
    private String stationCode;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime time;

    /**
     * 巡视点位id列表，','分隔
     */
    private String deviceIdList;

    /**
     * 关联视频编码及预置位，json格式
     */
    private String videoPos;

    /**
     * 联动类型（一件顺控、智能联动）
     */
    private String linkageType;

    /**
     * 数据状态，0：未绑定，1：已绑定，默认0
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

    /**
     * 是否有效；0：无效；1：有效
     */
    private String isenable;

    /**
     * 机器人编码
     */
    private String robotCode;

}
