package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 变电站
 * </p>
 *
 *
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_substation")
public class Substation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "station_id", type = IdType.ASSIGN_UUID)
    private String stationId;

    /**
     * 变电站类别
     */
    private String stationType;
    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站IP
     */
    private String stationIp;

    /**
     * 变电站节点ID
     */
    private String nodeId;

    /**
     * 电压等级
     */
    private String voltLevel;

    /**
     * 所属地市
     */
    private String cityName;

    /**
     * 所属省份
     */
    private String provinceName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 区域ID
     */
    private String sectionId;

    /**
     * 区域名称
     */
    private String sectionName;

    /**
     * 变电站地址
     */
    private String stationAddress;

    /**
     * 联系信息
     */
    /*private String contactInfo;*/

    /**
     * P
     * 联系电话
     */
    private String contactPhone;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 变电站介绍
     */
    private String introduction;

    /**
     * 变电站图片
     */
    private String images;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 是否是边缘节点 0：否，1：是
     */
    private String isStationFlag;

    /**
     * 坐标位置，经度,维度，逗号分割
     */
    private String coordinate;

    /**
     * 边缘节点是否在线 1-在线 0-离线
     */
    private String online;

    /**
     * 备用1(排序编号)
     */
    private Integer custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
