package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 变电站-三维动态模型
 * </p>
 *
 * @author zhengsl
 * @since 2024-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_substation_model")
public class SubstationModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 类型：Camera,DevicePoint,UV,UAV,UAVLine,EquipmentComponent
     */
    private String type;

    /**
     * 模型对象名称
     */
    private String objname;

    /**
     * 位置坐标
     */
    private String coordinate;

    /**
     * 旋转角度
     */
    private String rotation;

    /**
     * 模型对象-分类：camera1，
     */
    private String modelType;

    /**
     * 关联对象信息
     */
    private String objinfo;

    /**
     * 构成路线的点
     */
    private String linePoints;

    /**
     * 路线关联的巡视点位
     */
    private String checkPoints;

    /**
     * 变电站ID
     */
    private String stationId;

    /**
     * 备用1
     */
    private Integer custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
