package com.yfd.platform.modules.basedata.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yfd.platform.component.nettyudpserver.MyMessageProtocol;
import com.yfd.platform.modules.basedata.domain.LinkageSignal;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.text.ParseException;

/**
 * <p>
 * 联动信号关联表 服务类
 * </p>
 *
 *
 * @since 2023-04-06
 */
public interface ILinkageSignalService extends IService<LinkageSignal> {

    /**********************************
     * 用途说明: 接收文件
     * 参数说明 link
     * 返回值说明: void
     ***********************************/
    void receiveFile(MultipartFile file, String type) throws IOException, ParseException;

    /**********************************
     * 用途说明: 创建联动任务并且立即执行
     * 参数说明 link
     * 返回值说明: void
     ***********************************/
    void createLinkTask(String message) throws ParseException;

    /**********************************
     * 用途说明: 根据一键顺控指令创建巡视任务
     * 参数说明
     * 返回值说明:
     ***********************************/
    boolean createLinkSiginTask(MyMessageProtocol msg) throws ParseException, InterruptedException;
}
