package com.yfd.platform.modules.patroltask.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 检修计划表
 * </p>
 *
 *
 * @since 2023-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_examine_plan")
@ApiModel("检修计划")
public class ExaminePlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty("检修计划id")
    private String id;

    /**
     * config_name(检修计划名称)
     */
    @ApiModelProperty("检修计划id")
    private String configName;
    /**
     * 变电站id
     */
    @ApiModelProperty("变电站id")
    private String stationId;

    /**
     * 变电站编码
     */
    @ApiModelProperty("变电站编码")
    private String stationCode;

    /**
     * 变电站名称
     */
    @ApiModelProperty("变电站名称")
    private String stationName;

    /**
     * 检修区域配置编码
     */
    @ApiModelProperty("检修区域配置编码")
    private String configCode;

    /**
     * 1：间隔；2：主设备；3设备点位；4：部件
     */
    @ApiModelProperty("1：间隔；2：主设备；3设备点位；4：部件")
    private Integer deviceLevel;

    /**
     * 多个id，以','分隔
     */
    @ApiModelProperty("多个id，以','分隔")
    private String deviceList;

    /**
     * 1：设置检修，0：取消检修
     */
    @ApiModelProperty("1：设置检修，0：取消检修")
    private Integer enable;

    /**
     * 检修开始时间
     */
    @ApiModelProperty("检修开始时间")
    private String startTime;

    /**
     * 检修结束时间
     */
    @ApiModelProperty("检修结束时间")
    private String endTime;

    /**
     * 坐标框（像素点）
     */
    @ApiModelProperty("坐标框（像素点）")
    private String coordinatePixel;

    /**
     * 检修备注
     */
    @ApiModelProperty("检修备注")
    private String examineComment;

    /**
     * 编制人编号
     */
    @ApiModelProperty("编制人编号")
    private String creatorcode;

    /**
     * 编制人
     */
    @ApiModelProperty("编制人")
    private String creator;

    /**
     * 编制时间
     */
    @ApiModelProperty("编制时间")
    private String createTime;

    /**
     * 数据状态(绑定状态)
     */
    @ApiModelProperty("数据状态")
    private String datastatus;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @ApiModelProperty("最近修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp lastmodifydate;

    /**
     * 备用1
     */
    @ApiModelProperty("备用1")
    private String custom1;

    /**
     * 备用2
     */
    @ApiModelProperty("备用2")
    private String custom2;

    /**
     * 备用3
     */
    @ApiModelProperty("备用3")
    private String custom3;

    /**
     * 机器人编号
     */
    @ApiModelProperty("机器人编号")
    private String robotCode;

}
