package com.yfd.platform.system.domain;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 系统数据备份恢复记录
 * </p>
 *
 *
 * @since 2023-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysDataBackup implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 数据范围 全部数据 基础数据  业务数据
     */
    private String datascope;

    /**
     * 备份文件名称
     */
    private String filename;

    /**
     * 类型 自动备份 手工备份
     */
    private String backuptype;

    /**
     * 备份日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime backupdate;

    /**
     * 单位：Kb
     */
    private String filesize;

    /**
     * 恢复日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime recoverdate;

    /**
     * 恢复操作人员
     */
    private String recover;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
