package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 系统组织框架
 * </p>
 *
 *
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_organization")
public class SysOrganization implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 1-公司 -2-部门
     */
    private String orgtype;

    /**
     *  两位一级
     */
    private String orgcode;

    /**
     * 组织名称
     */
    private String orgname;

    /**
     * 上级id
     */
    private String parentid;

    /**
     * 组织负责人
     */
    private String manager;

    /**
     * 1-是 0-否
     */
    private String isvaild;

    /**
     * 描述
     */
    private String description;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

    /**
     * 区域节点IP
     */
    private String nodeIp;

    /**
     * 区域节点ID
     */
    private String nodeId;

    /**
     * 所属地市
     */
    private String cityName;

    /**
     * 所属省份
     */
    private String provinceName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 区域地址
     */
    private String address;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 电压等级
     */
    private String voltLevel;

    /**
     * 变电站类别
     */
    private String stationType;

    /**
     * 是否是边缘节点 0：否，1：是
     */
    private String isStationFlag;

    /**
     * 经纬度
     */
    private String coordinate;

}
