package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 系统用户
 * </p>
 *
 *
 * @since 2021-10-27
 */

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_user")
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id  主键
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 用户类型 0-管理员  1-普通用户
     */
    private Integer usertype;

    /**
     * 用户名（账号）
     */
    private String username;
    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 登录密码（加密存储）
     */
    private String password;

    /**
     * 密码有效期限
     */
    private Integer pwdvalidperiod;

    /**
     * 登录失败次数
     */
    private Integer failednum;

    /**
     * 登录失败三次锁定时间
     */
    private String failedlocktime;

    /**
     * 性别（0-男  1-女 ）
     */
    private String sex;

    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号
     */
    private String phone;

    /**
     * 头像（预留）
     */
    private String avatar;

    /**
     * 账号状态（1-正常 0-停用  2-失败锁定）
     */
    private Integer status;

    /**
     * 部门ID
     */
    private String orgid;

    /**
     * 密码重置时间
     */
    private String pwdresettime;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp lastmodifydate;

    @TableField(exist = false)
    private String uuid;

    @TableField(exist = false)
    private String code;


    /**
     * 允许的登录IP
     */
    private String loginip;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;
}
